%global momorel 3

Summary: Bluetooth support for GNOME
Name: gnome-bluetooth
Version: 0.9.1
Release: %{momorel}m%{?dist}
License: GPL and LGPL
Group: Applications/System
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/0.9/%{name}-%{version}.tar.bz2
NoSource: 0

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: pkgconfig
BuildRequires: glib2-devel >= 2.14.1
BuildRequires: libglade2-devel >= 2.6.2
BuildRequires: libgnomeui-devel >= 2.20.0
BuildRequires: GConf2-devel >= 2.20.0
BuildRequires: libbtctl-devel >= 0.9.0
BuildRequires: pygtk2-devel >= 2.12.0
BuildRequires: gtk2-devel >= 2.12.0
BuildRequires: gnome-vfs2-devel >= 2.20.0
BuildRequires: librsvg2-devel >= 2.22.2-3m
BuildRequires: libgnome-devel >= 2.20.0

%description
This package contains a controller class, GnomebtController, to control
Bluetooth devices, and a simple GUI to explore which devices are
available (gnome-bluetooth-manager).  An OBEX server is available,
gnome-obex-server.  This will receive files sent via Bluetooth to your
PC, and save them in your home directory.  The program gnome-obex-send
enables you to send files.  It is used by the Nautilus component --
select the files you want to send and choose "Send via Bluetooth..."
from the context menu.

%package devel
Summary: Development files for gnome-bluetooth
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Development files for gnome-bluetooth

%prep

%setup -q 

%build
%configure \
    --disable-schemas-install
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
find %{buildroot}%{_libdir} -maxdepth 1 -name "*.la" -delete

%clean
rm -rf --preserve-root %{buildroot}

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="gnome-obex-server.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$S > /dev/null
done

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING COPYING.gnomebt ChangeLog NEWS README TODO
%{_sysconfdir}/gconf/schemas/gnome-obex-server.schemas
%{_bindir}/gnome-obex-send
%{_bindir}/gnome-obex-server
%{_libdir}/libgnomebt.so.*
%{_libdir}/python2.5/site-packages/gnomebt
%{_datadir}/%{name}
%{_datadir}/applications/gnome-obex-server.desktop
%{_datadir}/locale/*/*/*
%{_datadir}/pixmaps/blueradio-48.png

%files devel
%defattr(-, root, root)
%{_includedir}/%{name}
%{_libdir}/libgnomebt.so
%{_libdir}/pkgconfig/%{name}.pc

%changelog
* Tue Apr 29 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-3m)
- rebuild against librsvg2-2.22.2-3m

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.9.1-2m)
- rebuild against gcc43

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.9.1-1m)
- update to 0.9.1

* Wed Jul 11 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-3m)
- add -maxdepth 1 to del .la

* Thu May 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-2m)
- fix %%files

* Thu May 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.0-1m)
- initial build
